package com.bofeng.wx.controller;

import com.bofeng.Consts;
import com.bofeng.entity.ParseCurrentOpenId;
import com.bofeng.entity.StatisticsOrder;
import com.bofeng.entity.SubUser;
import com.bofeng.entity.User;
import com.google.common.collect.Maps;
import com.yvan.platform.JsonWapper;
import com.yvan.platform.YvanUtil;
import lombok.val;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

import java.util.List;
import java.util.Map;

@RestController
public class HomeController {

    @GetMapping("/home/home.html")
    public ModelAndView home(ModelMap model) {

        Map<String, Object> queryParam = Maps.newLinkedHashMap();
        queryParam.put("userId", "12345677");
        queryParam.put("statistics", "M");

        model.put("user", "{}");
        return new ModelAndView("/home/home.ftl", model);
    }
}
